Gentoo Build

From K-3D

Jump to: navigation, search

Build Overview

  • K-3D version: 0.4 / 0.5
  • Build environment: portage + autotools + gcc.

Build Instructions

Starting with K-3D 0.2.5, a Gentoo Linux ebuild is in portage. But before you can install K-3D you first have to unmask it because it's currently masked unstable. To unmask it just add "media-gfx/k3d" to the /etc/portage/package.keywords file. If the file does not exist you have to create it. After that you can install K-3D by typing

$ emerge k3d

If you want to tweak the K-3D useflags you have to edit the /etc/portage/package.use file and add e.g. "media-gfx/k3d openexr plib python".


Trivia

As of this writing, a majority of K-3D development is done on Gentoo Linux systems.

Possible Problems

Since the new default compiler for gentoo is now gcc3.4 you may have problems running or compiling K-3D because the updatet gcc version breaks old c++ applications. Please read the GCC Upgrade Guide to fix that problem: http://www.gentoo.org/doc/en/gcc-upgrading.xml#upgrade-3.3-to-3.4

Personal tools